
Redmine - Defect #8906

500 on ticket

2011-07-26 20:53 - Jan Thurau

Status: Closed Start date: 2011-07-26

Priority: Normal Due date:  

Assignee:  % Done: 90%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

My Environment:

development:/home/redmine/site# RAILS_ENV=production ruby script/about

/home/redmine/site/vendor/plugins/rfpdf/lib/fpdf/chinese.rb:49: warning: already initialized const

ant Big5_widths

/home/redmine/site/vendor/plugins/rfpdf/lib/fpdf/chinese.rb:60: warning: already initialized const

ant GB_widths

/home/redmine/site/vendor/plugins/rfpdf/lib/fpdf/japanese.rb:49: warning: already initialized cons

tant SJIS_widths

/home/redmine/site/vendor/plugins/rfpdf/lib/fpdf/korean.rb:49: warning: already initialized consta

nt UHC_widths

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.4.1

Rack version              1.1.2

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /home/redmine/site

Environment               production

Database adapter          mysql

Database schema version   20110511000000

About your Redmine plugins

Mylyn Connector plugin   2.7.1.stable

development:/home/redmine/site# 

 Log:

I updated form 1.1.0 to 1.2.1. Now I get this error on some tickets:

development:/home/redmine/site/log# tail -n 50 production.log 

Rendering template within layouts/base

Rendering issues/show.rhtml

ActionView::TemplateError (Mysql::Error: Column 'lft' in order clause is ambiguous: SELECT `issues

`.`id` AS t0_r0, `issues`.`tracker_id` AS t0_r1, `issues`.`project_id` AS t0_r2, `issues`.`subject

` AS t0_r3, `issues`.`description` AS t0_r4, `issues`.`due_date` AS t0_r5, `issues`.`category_id` 

AS t0_r6, `issues`.`status_id` AS t0_r7, `issues`.`assigned_to_id` AS t0_r8, `issues`.`priority_id

` AS t0_r9, `issues`.`fixed_version_id` AS t0_r10, `issues`.`author_id` AS t0_r11, `issues`.`lock_

version` AS t0_r12, `issues`.`created_on` AS t0_r13, `issues`.`updated_on` AS t0_r14, `issues`.`st

art_date` AS t0_r15, `issues`.`done_ratio` AS t0_r16, `issues`.`estimated_hours` AS t0_r17, `issue

s`.`parent_id` AS t0_r18, `issues`.`root_id` AS t0_r19, `issues`.`lft` AS t0_r20, `issues`.`rgt` A

S t0_r21, `issues`.`is_private` AS t0_r22, `projects`.`id` AS t1_r0, `projects`.`name` AS t1_r1, `

projects`.`description` AS t1_r2, `projects`.`homepage` AS t1_r3, `projects`.`is_public` AS t1_r4,

 `projects`.`parent_id` AS t1_r5, `projects`.`created_on` AS t1_r6, `projects`.`updated_on` AS t1_

r7, `projects`.`identifier` AS t1_r8, `projects`.`status` AS t1_r9, `projects`.`lft` AS t1_r10, `p

rojects`.`rgt` AS t1_r11 FROM `issues`  LEFT OUTER JOIN `projects` ON `projects`.id = `issues`.pro

ject_id WHERE (((projects.status=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules e
m WHERE em.name='issue_tracking')) AND (issues.id != 1012)) AND ((issues.`lft` <= 2 AND issues.`rg

t` >= 3) AND (`issues`.`root_id` = 1051)))  ORDER BY `lft`) on line #9 of app/views/issues/show.rh

tml:

6:         <%= avatar(@issue.author, :size => "50") %>

7:       

8: <div class="subject">      

9: <%= render_issue_subject_with_tree(@issue) %>

10: </div>

11:         <p class="author">

12:         <%= authoring @issue.created_on, @issue.author %>.

    app/helpers/issues_helper.rb:64:in `render_issue_subject_with_tree'

    app/views/issues/show.rhtml:9:in `_run_rhtml_app47views47issues47show46rhtml'

    app/controllers/issues_controller.rb:122:in `show'

    app/controllers/issues_controller.rb:121:in `show'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/rack/request_handler.rb:96:in `pr

ocess_request'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_request_handler.rb:513:i

n `accept_and_process_next_request'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_request_handler.rb:274:i

n `main_loop'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rails/application_spawner

.rb:321:in `start_request_handler'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rails/application_spawner

.rb:275:in `send'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rails/application_spawner

.rb:275:in `handle_spawn_application'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/utils.rb:479:in `safe_fork'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rails/application_spawner

.rb:270:in `handle_spawn_application'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb:357:in `__send

__'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb:357:in `server

_main_loop'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb:206:in `start_

synchronously'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb:180:in `start'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rails/application_spawner

.rb:149:in `start'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb:219:in `spawn_ra

ils_application'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server_collection.rb:132

:in `lookup_or_add'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb:214:in `spawn_ra

ils_application'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server_collection.rb:82:

in `synchronize'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server_collection.rb:79:

in `synchronize'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb:213:in `spawn_ra

ils_application'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb:132:in `spawn_ap

plication'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb:275:in `handle_s

pawn_application'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb:357:in `__send

__'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb:357:in `server

_main_loop'

    /var/lib/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb:206:in `start_

synchronously'

    /var/lib/gems/1.8/gems/passenger-3.0.0/helper-scripts/passenger-spawn-server:99

Rendering /home/redmine/site/public/500.html (500 Internal Server Error)

Processing WelcomeController#index (for 87.237.120.133 at 2011-07-26 20:47:25) [GET]

  Parameters: {"action"=>"index", "controller"=>"welcome"}
Redirected to http://redmine/login?back_url=http%3A%2F%2Fredmine%2F

Filter chain halted as [:check_if_login_required] rendered_or_redirected.

Completed in 4ms (DB: 1) | 302 Found [http://redmine/]

development:/home/redmine/site/log# 

 Please tell me if you need additional information.

Best regards

Jan

Related issues:

Has duplicate Redmine - Defect #9058: 500 error on issues (1.2.1) Closed 2011-08-15

History

#1 - 2011-07-26 20:57 - Jan Thurau

As I see, the last "lft" in the order clause is the fault, because it's now set to a specific table.

#2 - 2011-07-27 17:13 - Maxim Nikolaevich

I also have 500 error after update to 1.2.1 version. Is any fix available?

#3 - 2011-07-27 23:15 - Jan Thurau

I found out, that it must depend on my old plugin dir. I moved it out, and put the new plugin dir (the new, without any of my plugins) in /vendor aaand

everything works.

#4 - 2011-07-28 14:33 - Nickolay Mischenko

I've same issue and same solution (only custom installed plugins should be copied to new installation directory). Maybe some clarifications in upgrade

doc section needed?

I offer modify:

5. Copy the folders of your custom installed plugins from your vendor/plugins directory into new installation directory

#5 - 2011-07-28 16:03 - Maxim Nikolaevich

- Status changed from New to Resolved

- % Done changed from 0 to 90

#6 - 2011-08-15 18:30 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

I updated documentation page.
